ZipBootGen(1)						       ZipBootGen(1)




NAME
     ZipBootGen	- Generates a minimal IRIX bootable filesystem

SYNOPSIS
     ZipBootGen


DSCRIPTION
     ZipBootGen	is an interactive shellscript that initializes a
     small SCSI	disk (~100 Mb).	It then	transfers a minimal IRIX
     filesystem	and boot image to the target disk. The intent of
     ZipBootGen	is to provide an alternative mechanism to allow
     for a complete system recovery from a catastrophic	root
     disk crash	when the original installation media is	no
     longer available.	ZipBootGen provides 2 major facilities:

     1)	Creation of a bootable tape containing sash, fx	and ide.
	When this facility is invoked, ZipBootGen will prompt
	the user for a tape device. It will then try to
	generate a tape	using the specified tape device.


     2)	Creation of a root filesystem on a small SCSI disk. The
	disk is	partitioned and	labeled. Then a	minimal	configuration
	single-user filesystem is installed. This filesystem can
	be used	in conjunction with tar(1) or bru(1) in	order to
	facilitate a complete restoration of the damaged root disk.


     In	order to boot from a disk created by ZipBootGen, you
     will ned to bring	up the PROM Monitor. Then follow
     the steps below:

     Note: For this purposes of	this example, we will
	   assume the following:

	     Damaged root disk is on SCSI Ctlr 0 ID=1
	     Target boot disk is on  SCSI Ctlr 0 ID=5
	     QIC Tape drive is on    SCSI Ctrl 0 ID=7

     1)	First, set the necessary environment variables:

		setenv bootfile	dksc(0,5,8)sash
		setenv path dksc(0,5,8)

     2)	Boot sash. You can try booting sash from the target
	disk by	typing:

		sash
	or
		boot -f	dksc(0,5,8)sash

	If this	doesn't	work, you will need to boot sash
	from one of two	other places. If your original
	(damaged) hard disk still has a	viable label partition,
	you can	try booting sash from there, i.e.:

		boot -f	dksc(0,1,8)sash

								   Page	1

ZipBootGen(1)						       ZipBootGen(1)

	If this	fails, you can use the boot tape that
	you have (hopefully) created previously	with
	ZipBootGen:

		boot -f	tpsc(,7,)sash

     3)	Once sash is loaded you	need to	set one	more
	environment variable, and then boot unix:

		setenv root dks0d5s0
		unix

	Unix should begin to boot from the target disk.
	Once the single-user shell is up, you should
	be able	to mount the damaged hard disk.	You may
	need to	run fsck on it first.

	In a worst case	scenario, where	the root hard disk
	is irreparibly damaged you'll have to:

	    a) install a new hard disk.
	    b) Run fx (from the	disk label partition or
	       the boot	tape) to initialize the	new disk.
	    c) Boot IRIX from the zip disk.
	    d) Run mkfs	on the new disk's EFS partitions.
	    e) Restore your backup saveset to the new disk.

CAVEATS
     You must be the superuser to run ZipBootGen.  Note
     also that the target disk must not	be mounted before
     ZipBootGen	is run.	ZipBootGen will	create a log file in
     /tmp/ZipBootGen.log.  Examine this	if an unexpected
     error occurs. When	ZipBootGen terminates, it will leave
     the target	disk mounted on	/zip.

     ZipBootGen	was designed with the zip drive	in mind.
     Unfortunately, not	all SGI	platforms sem to be able to
     handle zip	drives at the PROM Monitor level. This is the
     reason that a boot	tape facility has ben incorporated.
     You may find it necessary to boot SASH off	of a tape
     device, and then load IRIX	via sash from the zip disk.
     Small non-removable hard disks will probabily not require
     this extra	step.

								    Page 2

ZipBootGen(1)						       ZipBootGen(1)


     Note: Your	zip drive will be strenuously exercised
     by	ZipBootGen.  If	your SCSI cabling or termination is
     marginal, ZipBootGen may generate kernel faults. These
     faults will probabily be due to SCSI bus errors caused
     by	faulty or excessively long SCSI	cabling	or improper
     termination.

SEE ALSO
     tar(1), bru(1), fx(1M), dvhtool(1M), mkfs(1M)
     prom(1M), fsck(1M), vh(7M)

COPYRIGHT
     Copyright (c) 1997	A.J. Corda (acorda@geocities.com)

     Permission	to use,	copy, modify, and distribute this
     material for any purpose and without fee is hereby	granted,
     provided that the above copyright notice and this permission
     notice apear in all copies. THE AUTHOR MAKES NO REPRESENTATIONS
     ABOUT THE ACCURACY	OR SUITABILITY OF THIS MATERIAL	FOR ANY
     PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS OR
     IMPLIED WARRANTIES.

AUTHOR
     A.J. Corda	(acorda@geocities.com)




								    Page 3










